Get Roles
curl --request GET \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/roles \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/roles"
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-key': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "4ccf0b65-fb99-40da-92d6-3f98730df8b2",
"WorkspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"title": "Manager",
"description": "Location manager role",
"isActive": true,
"order": 2,
"ReportTo": null,
"editable": true,
"homepage": {
"mobile": "DEFAULT",
"web": "DEFAULT"
},
"CreatedBy": "dfea8b8a-5b22-4668-b68d-dc641eb3a101",
"UpdatedBy": "dfea8b8a-5b22-4668-b68d-dc641eb3a101",
"createdAt": "2025-04-01T10:00:00.000Z",
"updatedAt": "2025-04-01T10:00:00.000Z",
"deletedAt": null,
"WorkspaceUsers": [
{
"UserId": "e25dd448-7ae7-4588-8767-7e1a316547e5"
},
{
"UserId": "183f639a-8358-485f-9abe-221d0efcbe8e"
}
]
}
],
"meta": {}
}Roles
Get Roles
Returns every role defined in the workspace. Each role is a full Role row with the list of workspace users currently assigned to it under WorkspaceUsers.
GET
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
roles
Get Roles
Authorizations
Client API key for authentication
Client secret for authentication
Path Parameters
Workspace ID (UUID).
⌘I